# Get a datasource

Launch stage: Beta

`GET /api/2.0/lakewatch/{name=datasources/*}`

Returns a single datasource by its resource name.

API scopes: lakewatch

## Path parameters

- `name` (string, required)

## Returns

Returns the Datasource object.

## Response

```json
{
  "name": "datasources/550e8400-e29b-41d4-a716-446655440000",
  "datasource_id": "string",
  "catalog_name": "string",
  "schema_name": "string",
  "effective_catalog_name": "string",
  "effective_schema_name": "string",
  "datasource_name": "string",
  "effective_datasource_name": "string",
  "description": "string",
  "version": 0,
  "create_time": "string",
  "update_time": "string",
  "created_by": {
    "id": "string",
    "principal_type": "REGULAR_USER",
    "email": "string",
    "display_name": "string"
  },
  "updated_by": {
    "id": "string",
    "principal_type": "REGULAR_USER",
    "email": "string",
    "display_name": "string"
  },
  "etag": "string",
  "annotations": {},
  "owner": {
    "id": "string",
    "principal_type": "REGULAR_USER",
    "email": "string",
    "display_name": "string"
  },
  "run_as_principal": "string",
  "effective_run_as_principal": "string",
  "autoloader": {
    "format": "AUTOLOADER_FORMAT_JSON",
    "location": "string",
    "format_options": {},
    "service_credentials": "string",
    "aws_secret_scope": "string",
    "override_partition_columns": [
      "string"
    ],
    "raw_table": {},
    "envelope": {},
    "queue_url": "string",
    "effective_raw_table": {},
    "include_existing_files": true,
    "effective_include_existing_files": true
  },
  "unity_catalog_connection": {
    "connection_name": "string",
    "connector": "string",
    "configuration": {},
    "start_time": "string",
    "effective_start_time": "string"
  },
  "existing_table": {
    "name": "string",
    "catalog": "string",
    "schema": "string",
    "include_existing_rows": true,
    "effective_catalog": "string",
    "effective_schema": "string",
    "effective_name": "string"
  },
  "parsers": [
    {
      "id": "string",
      "version": "string",
      "target_table": {},
      "effective_target_table": {}
    }
  ],
  "schedule": {
    "at_least_every": "string",
    "cron_expression": "string",
    "continuous": true,
    "compute_group": "string",
    "enabled": true
  },
  "compute_mode": "DS_COMPUTE_STANDARD",
  "status": {
    "ingestion_job": {},
    "ingestion_pipeline": {}
  },
  "compute_workspace_id": "string"
}
```

